[ALUG] HMRC payroll software and zlib

Jenny Hopkins hopkins.jenny at gmail.com
Tue May 2 14:01:57 BST 2017


Hi all,

I'm attempting to set up payroll on debian jessie using the HMRC's
payroll software for linux.  When I try and run it, however, I get the
following error:

zipimport.ZipImportError: can't decompress data; zlib not available
Fatal Python error: unable to locate initialization module

I've installed these packages, but no change.

libjzlib-java
zlib1g:amd64
zlib1g-dev:amd64
zlibc

Following a similar thread for this error, I ran python and got the
following info:
>>> zlib.__version__
'1.0'

Any ideas on what else I need to install, or what the problem could be?

Thanks,

Jenny



More information about the main mailing list